Modul
Indhald
Innhaldsliste 🔎︎

# StrComp-funksjonen

Samanliknar to strenger og returnerer ein heiltalsverdi som viser resultatet av samanlikninga.

## Syntaks:

    StrComp (Tekst1 As String, Tekst2 As String[, Compare])

## Returverdi:

Heiltal

## Parameter:

Tekst1: Eit strenguttrykk

Tekst2: Eit strenguttrykk

Compare: Denne valfrie parameteren bestemmer samanlikningsmetoden. Viss Compare = 1 vil samanlikninga skilje mellom store og små bokstavar. Med Compare = 0 skil ikkje samanlikninga mellom store og små bokstavar.

### Returverdi

- Viss Tekst1 < Tekst2 vil funksjonen returnere -1

- Viss Tekst1 = Tekst2 vil funksjonen returnere 0

- Viss Tekst1 > Tekst2 vil funksjonen returnere 1

## Feilkodar

5 Ugyldig prosedyreoppkall

## Eksempel:

    Sub ExampleStrComp
    Dim iVar As Single
    Dim sVar As String
        iVar = 123.123
        sVar = Str$(iVar)
        MsgBox strcomp(sVar , Str$(iVar),1)
    End Sub